List all saved queries
List all saved queries.
GET
/v2/apl-starred-queriesFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input5
Sent from your browser straight to the API — never to Docsbook, never stored.
(query)
(query)
(query)
(query) - If the value of
who is undefined, the request returns queries starred by the authenticated user. - If the value of who is a user ID, the request returns queries starred by the user with this ID (this request requires elevated privileges). For example, &who='abc123'. - If the value of who is team, the request returns queries starred by the team apart from the authenticated user.For example, &who=team. - If the value of who is all, the request returns queries starred by all users in the team, including the authenticated user. For example, &who=all.(query)
Output7
One of:
apl.Responses
200StarredQueryWithId
Example input
curl 'https://api.axiom.co/v2/apl-starred-queries' \
-H 'Authorization: Bearer API_TOKEN'Example output
[
{
"dataset": "string",
"kind": "apl",
"metadata": {},
"name": "string",
"query": {
"apl": "string",
"cursor": "string",
"defaultLimit": 0,
"defaultOrder": [
{
"desc": null,
"field": null
}
],
"endTime": "string",
"includeCursor": false,
"includeCursorField": false,
"libraries": [
"string"
],
"queryOptions": {
"disableCache": false,
"disableStats": false,
"disableTrace": false,
"maxDataPoints": 0,
"maxSeries": 0,
"noAggregation": false,
"noFill": false,
"noInterpolation": false,
"priority": "low",
"resolution": "string",
"displayNull": "auto",
"overlayCharts": "true"
},
"startTime": "string",
"variables": {}
},
"who": "string",
"id": "string"
}
]